package	jp.co.sds_corp.util.pooh.action;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.plaf.metal.DefaultMetalTheme;
import javax.swing.plaf.metal.MetalLookAndFeel;

import jp.co.sds_corp.util.pooh.custom.AquaTheme;
import jp.co.sds_corp.util.pooh.custom.CharcoalTheme;
import jp.co.sds_corp.util.pooh.custom.ContrastTheme;
import jp.co.sds_corp.util.pooh.custom.EmeraldTheme;
import jp.co.sds_corp.util.pooh.custom.RubyTheme;
import jp.co.sds_corp.util.pooh.custom.SandstoneTheme;
import jp.co.sds_corp.util.pooh.custom.XPTheme;
import jp.co.sds_corp.util.pooh.menu.IMenuAction;
import jp.co.sds_corp.util.pooh.menu.SubMenuResource;
import jp.co.sds_corp.util.pooh.top.Toplevel;

/**
*
*/
public class ActTheme implements IMenuAction {
	Toplevel toplevel;

	Object [] theme = {
		new DefaultMetalTheme(),
		new AquaTheme(),
		new CharcoalTheme(),
		new	ContrastTheme(),
		new EmeraldTheme(),
		new	RubyTheme(),
		new	SandstoneTheme(),
		new	XPTheme(),
	};

	public ActTheme(){
	}

	public void setParent(Toplevel _toplevel){ toplevel = _toplevel; }
	public void doAction(SubMenuResource sb, ActionEvent ae, int index) {
		String [] lookAndFeel = {
			"javax.swing.plaf.metal.MetalLookAndFeel",
		};
		try {
			MetalLookAndFeel.setCurrentTheme((DefaultMetalTheme)theme[index]);
			UIManager.setLookAndFeel(lookAndFeel[0]);
			SwingUtilities.updateComponentTreeUI((JFrame)toplevel.getFrame());
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
