package	jp.co.sds_corp.visualpooh;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowEvent;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.border.EmptyBorder;

import jp.co.sds_corp.util.pooh.dialog.DialogResource;
import jp.co.sds_corp.util.pooh.simple.SimpleButton;
import jp.co.sds_corp.util.pooh.simple.SimplePanel;

public class MenuBarNameDialog extends SimplePanel {
	Col col = new Col();
	public boolean createPane() {
		try {
			setButton_id(0, SimpleButton.OK);
			setButton_id(1, SimpleButton.CANCEL);
			setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
			setLayout(new BorderLayout());
			Box b = new Box(BoxLayout.X_AXIS);
			b.add(col1());
			b.add(Box.createHorizontalStrut(10));
			b.add(col);
			add(b, "North");
		} catch (Exception e) { e.printStackTrace(); }
		return true;
	}
	private Box col1() {
		Box b = new Box(BoxLayout.Y_AXIS);
		b.add(new JLabel("ID"));
		return b;
	}

	public class Col extends Box {
		JTextField t1 = new JTextField();
		public Col() {
			super(BoxLayout.X_AXIS);
			add(t1);
		}
		public void update(DialogResource res) {
			res.setUserAttribute(t1.getText());
		}
	}

	public void closed() {}
	public void doSystemBtnClose(WindowEvent e) {}
	public void doAction(int idx) {
		try {
			if (custbutton.getButton_id(idx)==SimpleButton.OK) {
				DialogResource r = (DialogResource)getResource(); 
				col.update(r);
			}
			super.doAction(idx);
		} catch (Exception e) { e.printStackTrace(); }
	}
}
