package	jp.co.sds_corp.util.pooh.menu;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
public class PopupResource {
	private Map rootMenu = null;
	public int rootSize() { return (rootMenu!=null) ? rootMenu.size() : 0; }
	public RootMenuResource getRootMenuResource(String key) {
		return (rootMenu == null) ? null : (RootMenuResource)rootMenu.get(key);
	}
	public void addRootMenu(RootMenuResource resource) {
		if (rootMenu == null) { rootMenu = new HashMap(); }
		rootMenu.put(resource.getName(), resource);
	}
	public Iterator iterator() {
		return (rootMenu != null) ? rootMenu.values().iterator() : null;
	}

	public boolean isAlive(String fn) { return (getRootMenuResource(fn) != null) ? true : false; }
	public void remove(RootMenuResource resource) { rootMenu.remove(resource.getName()); }
	public void remove(String fn) { rootMenu.remove(fn); }
}
