package jp.co.sds_corp.util.pooh.simple;
import java.io.File;

import javax.swing.filechooser.FileFilter;

public class SimpleTextFilter extends FileFilter {

    public final static String txt = "txt";
    public final static String bcp = "bcp";
    public final static String csv = "csv";
	private String description;

    /*
     * Get the extension of a file.
     */
    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }

    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = SimpleTextFilter.getExtension(f);
        if (extension != null) {
            if (extension.equals(SimpleTextFilter.txt) ||
                extension.equals(SimpleTextFilter.csv) ||
                extension.equals(SimpleTextFilter.bcp)) {
                    return true;
            } else {
                return false;
            }
        }
        return false;
    }

	public SimpleTextFilter(String _description) {
		description = _description;
	}

    public String getDescription() {
        return description;
    }
}
